import { ModelData, Model } from "@kubernetes-models/base";
/**
 * ParamKind is a tuple of Group Kind and Version.
 */
export interface IParamKind {
    /**
     * APIVersion is the API group version the resources belong to. In format of "group/version". Required.
     */
    "apiVersion"?: string;
    /**
     * Kind is the API kind the resources belong to. Required.
     */
    "kind"?: string;
}
/**
 * ParamKind is a tuple of Group Kind and Version.
 */
export declare class ParamKind extends Model<IParamKind> implements IParamKind {
    "apiVersion"?: IParamKind["apiVersion"];
    "kind"?: IParamKind["kind"];
    constructor(data?: ModelData<IParamKind>);
}
export { IParamKind as IIoK8sApiAdmissionregistrationV1ParamKind, ParamKind as IoK8sApiAdmissionregistrationV1ParamKind };
