import { IIoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicy } from "./ValidatingAdmissionPolicy";
import { IIoK8sApimachineryPkgApisMetaV1ListMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ListMeta";
import { ModelData, TypeMeta, Model } from "@kubernetes-models/base";
/**
 * ValidatingAdmissionPolicyList is a list of ValidatingAdmissionPolicy.
 */
export interface IValidatingAdmissionPolicyList extends TypeMeta {
    "apiVersion": "admissionregistration.k8s.io/v1";
    /**
     * List of ValidatingAdmissionPolicy.
     */
    "items": Array<IIoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicy>;
    "kind": "ValidatingAdmissionPolicyList";
    /**
     * Standard list metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
     */
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ListMeta;
}
/**
 * ValidatingAdmissionPolicyList is a list of ValidatingAdmissionPolicy.
 */
export declare class ValidatingAdmissionPolicyList extends Model<IValidatingAdmissionPolicyList> implements IValidatingAdmissionPolicyList {
    "apiVersion": IValidatingAdmissionPolicyList["apiVersion"];
    "items": Array<IIoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicy>;
    "kind": IValidatingAdmissionPolicyList["kind"];
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ListMeta;
    static apiVersion: IValidatingAdmissionPolicyList["apiVersion"];
    static kind: IValidatingAdmissionPolicyList["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<IValidatingAdmissionPolicyList>;
    constructor(data?: ModelData<IValidatingAdmissionPolicyList>);
}
export { IValidatingAdmissionPolicyList as IIoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyList, ValidatingAdmissionPolicyList as IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyList };
