import { IIoK8sApimachineryPkgApisMetaV1Condition } from "@kubernetes-models/apimachinery/apis/meta/v1/Condition";
import { IIoK8sApiAdmissionregistrationV1TypeChecking } from "./TypeChecking";
import { ModelData, Model } from "@kubernetes-models/base";
/**
 * ValidatingAdmissionPolicyStatus represents the status of an admission validation policy.
 */
export interface IValidatingAdmissionPolicyStatus {
    /**
     * The conditions represent the latest available observations of a policy's current state.
     */
    "conditions"?: Array<IIoK8sApimachineryPkgApisMetaV1Condition>;
    /**
     * The generation observed by the controller.
     */
    "observedGeneration"?: number;
    /**
     * The results of type checking for each expression. Presence of this field indicates the completion of the type checking.
     */
    "typeChecking"?: IIoK8sApiAdmissionregistrationV1TypeChecking;
}
/**
 * ValidatingAdmissionPolicyStatus represents the status of an admission validation policy.
 */
export declare class ValidatingAdmissionPolicyStatus extends Model<IValidatingAdmissionPolicyStatus> implements IValidatingAdmissionPolicyStatus {
    "conditions"?: Array<IIoK8sApimachineryPkgApisMetaV1Condition>;
    "observedGeneration"?: number;
    "typeChecking"?: IIoK8sApiAdmissionregistrationV1TypeChecking;
    constructor(data?: ModelData<IValidatingAdmissionPolicyStatus>);
}
export { IValidatingAdmissionPolicyStatus as IIoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyStatus, ValidatingAdmissionPolicyStatus as IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyStatus };
