import { IIoK8sApimachineryPkgApisMetaV1ObjectMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ObjectMeta";
import { IIoK8sApiAuthenticationV1SelfSubjectReviewStatus } from "./SelfSubjectReviewStatus";
import { ModelData, TypeMeta, Model } from "@kubernetes-models/base";
/**
 * SelfSubjectReview contains the user information that the kube-apiserver has about the user making this request. When using impersonation, users will receive the user info of the user being impersonated.  If impersonation or request header authentication is used, any extra keys will have their case ignored and returned as lowercase.
 */
export interface ISelfSubjectReview extends TypeMeta {
    "apiVersion": "authentication.k8s.io/v1";
    "kind": "SelfSubjectReview";
    /**
     * Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata
     */
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ObjectMeta;
    /**
     * Status is filled in by the server with the user attributes.
     */
    "status"?: IIoK8sApiAuthenticationV1SelfSubjectReviewStatus;
}
/**
 * SelfSubjectReview contains the user information that the kube-apiserver has about the user making this request. When using impersonation, users will receive the user info of the user being impersonated.  If impersonation or request header authentication is used, any extra keys will have their case ignored and returned as lowercase.
 */
export declare class SelfSubjectReview extends Model<ISelfSubjectReview> implements ISelfSubjectReview {
    "apiVersion": ISelfSubjectReview["apiVersion"];
    "kind": ISelfSubjectReview["kind"];
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ObjectMeta;
    "status"?: IIoK8sApiAuthenticationV1SelfSubjectReviewStatus;
    static apiVersion: ISelfSubjectReview["apiVersion"];
    static kind: ISelfSubjectReview["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<ISelfSubjectReview>;
    constructor(data?: ModelData<ISelfSubjectReview>);
}
export { ISelfSubjectReview as IIoK8sApiAuthenticationV1SelfSubjectReview, SelfSubjectReview as IoK8sApiAuthenticationV1SelfSubjectReview };
