import { IIoK8sApiDiscoveryV1ForNode } from "./ForNode";
import { IIoK8sApiDiscoveryV1ForZone } from "./ForZone";
import { ModelData, Model } from "@kubernetes-models/base";
/**
 * EndpointHints provides hints describing how an endpoint should be consumed.
 */
export interface IEndpointHints {
    /**
     * forNodes indicates the node(s) this endpoint should be consumed by when using topology aware routing. May contain a maximum of 8 entries. This is an Alpha feature and is only used when the PreferSameTrafficDistribution feature gate is enabled.
     */
    "forNodes"?: Array<IIoK8sApiDiscoveryV1ForNode>;
    /**
     * forZones indicates the zone(s) this endpoint should be consumed by when using topology aware routing. May contain a maximum of 8 entries.
     */
    "forZones"?: Array<IIoK8sApiDiscoveryV1ForZone>;
}
/**
 * EndpointHints provides hints describing how an endpoint should be consumed.
 */
export declare class EndpointHints extends Model<IEndpointHints> implements IEndpointHints {
    "forNodes"?: Array<IIoK8sApiDiscoveryV1ForNode>;
    "forZones"?: Array<IIoK8sApiDiscoveryV1ForZone>;
    constructor(data?: ModelData<IEndpointHints>);
}
export { IEndpointHints as IIoK8sApiDiscoveryV1EndpointHints, EndpointHints as IoK8sApiDiscoveryV1EndpointHints };
