import { IIoK8sApiNetworkingV1IPAddress } from "./IPAddress";
import { IIoK8sApimachineryPkgApisMetaV1ListMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ListMeta";
import { ModelData, TypeMeta, Model } from "@kubernetes-models/base";
/**
 * IPAddressList contains a list of IPAddress.
 */
export interface IIPAddressList extends TypeMeta {
    "apiVersion": "networking.k8s.io/v1";
    /**
     * items is the list of IPAddresses.
     */
    "items": Array<IIoK8sApiNetworkingV1IPAddress>;
    "kind": "IPAddressList";
    /**
     * Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata
     */
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ListMeta;
}
/**
 * IPAddressList contains a list of IPAddress.
 */
export declare class IPAddressList extends Model<IIPAddressList> implements IIPAddressList {
    "apiVersion": IIPAddressList["apiVersion"];
    "items": Array<IIoK8sApiNetworkingV1IPAddress>;
    "kind": IIPAddressList["kind"];
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ListMeta;
    static apiVersion: IIPAddressList["apiVersion"];
    static kind: IIPAddressList["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<IIPAddressList>;
    constructor(data?: ModelData<IIPAddressList>);
}
export { IIPAddressList as IIoK8sApiNetworkingV1IPAddressList, IPAddressList as IoK8sApiNetworkingV1IPAddressList };
