import { ModelData, Model } from "@kubernetes-models/base";
/**
 * ParentReference describes a reference to a parent object.
 */
export interface IParentReference {
    /**
     * Group is the group of the object being referenced.
     */
    "group"?: string;
    /**
     * Name is the name of the object being referenced.
     */
    "name": string;
    /**
     * Namespace is the namespace of the object being referenced.
     */
    "namespace"?: string;
    /**
     * Resource is the resource of the object being referenced.
     */
    "resource": string;
}
/**
 * ParentReference describes a reference to a parent object.
 */
export declare class ParentReference extends Model<IParentReference> implements IParentReference {
    "group"?: string;
    "name": string;
    "namespace"?: string;
    "resource": string;
    constructor(data?: ModelData<IParentReference>);
}
export { IParentReference as IIoK8sApiNetworkingV1ParentReference, ParentReference as IoK8sApiNetworkingV1ParentReference };
