import { IIoK8sApimachineryPkgApisMetaV1ObjectMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ObjectMeta";
import { IIoK8sApiNetworkingV1ServiceCIDRSpec } from "./ServiceCIDRSpec";
import { IIoK8sApiNetworkingV1ServiceCIDRStatus } from "./ServiceCIDRStatus";
import { ModelData, TypeMeta, Model } from "@kubernetes-models/base";
/**
 * ServiceCIDR defines a range of IP addresses using CIDR format (e.g. 192.168.0.0/24 or 2001:db2::/64). This range is used to allocate ClusterIPs to Service objects.
 */
export interface IServiceCIDR extends TypeMeta {
    "apiVersion": "networking.k8s.io/v1";
    "kind": "ServiceCIDR";
    /**
     * Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata
     */
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ObjectMeta;
    /**
     * spec is the desired state of the ServiceCIDR. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
     */
    "spec"?: IIoK8sApiNetworkingV1ServiceCIDRSpec;
    /**
     * status represents the current state of the ServiceCIDR. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
     */
    "status"?: IIoK8sApiNetworkingV1ServiceCIDRStatus;
}
/**
 * ServiceCIDR defines a range of IP addresses using CIDR format (e.g. 192.168.0.0/24 or 2001:db2::/64). This range is used to allocate ClusterIPs to Service objects.
 */
export declare class ServiceCIDR extends Model<IServiceCIDR> implements IServiceCIDR {
    "apiVersion": IServiceCIDR["apiVersion"];
    "kind": IServiceCIDR["kind"];
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ObjectMeta;
    "spec"?: IIoK8sApiNetworkingV1ServiceCIDRSpec;
    "status"?: IIoK8sApiNetworkingV1ServiceCIDRStatus;
    static apiVersion: IServiceCIDR["apiVersion"];
    static kind: IServiceCIDR["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<IServiceCIDR>;
    constructor(data?: ModelData<IServiceCIDR>);
}
export { IServiceCIDR as IIoK8sApiNetworkingV1ServiceCIDR, ServiceCIDR as IoK8sApiNetworkingV1ServiceCIDR };
