import { IIoK8sApiNetworkingV1ServiceCIDR } from "./ServiceCIDR";
import { IIoK8sApimachineryPkgApisMetaV1ListMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ListMeta";
import { ModelData, TypeMeta, Model } from "@kubernetes-models/base";
/**
 * ServiceCIDRList contains a list of ServiceCIDR objects.
 */
export interface IServiceCIDRList extends TypeMeta {
    "apiVersion": "networking.k8s.io/v1";
    /**
     * items is the list of ServiceCIDRs.
     */
    "items": Array<IIoK8sApiNetworkingV1ServiceCIDR>;
    "kind": "ServiceCIDRList";
    /**
     * Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata
     */
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ListMeta;
}
/**
 * ServiceCIDRList contains a list of ServiceCIDR objects.
 */
export declare class ServiceCIDRList extends Model<IServiceCIDRList> implements IServiceCIDRList {
    "apiVersion": IServiceCIDRList["apiVersion"];
    "items": Array<IIoK8sApiNetworkingV1ServiceCIDR>;
    "kind": IServiceCIDRList["kind"];
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ListMeta;
    static apiVersion: IServiceCIDRList["apiVersion"];
    static kind: IServiceCIDRList["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<IServiceCIDRList>;
    constructor(data?: ModelData<IServiceCIDRList>);
}
export { IServiceCIDRList as IIoK8sApiNetworkingV1ServiceCIDRList, ServiceCIDRList as IoK8sApiNetworkingV1ServiceCIDRList };
