import { ModelData, Model } from "@kubernetes-models/base";
/**
 * ServiceCIDRSpec define the CIDRs the user wants to use for allocating ClusterIPs for Services.
 */
export interface IServiceCIDRSpec {
    /**
     * CIDRs defines the IP blocks in CIDR notation (e.g. "192.168.0.0/24" or "2001:db8::/64") from which to assign service cluster IPs. Max of two CIDRs is allowed, one of each IP family. This field is immutable.
     */
    "cidrs"?: Array<string>;
}
/**
 * ServiceCIDRSpec define the CIDRs the user wants to use for allocating ClusterIPs for Services.
 */
export declare class ServiceCIDRSpec extends Model<IServiceCIDRSpec> implements IServiceCIDRSpec {
    "cidrs"?: Array<string>;
    constructor(data?: ModelData<IServiceCIDRSpec>);
}
export { IServiceCIDRSpec as IIoK8sApiNetworkingV1ServiceCIDRSpec, ServiceCIDRSpec as IoK8sApiNetworkingV1ServiceCIDRSpec };
