import { IIoK8sApimachineryPkgApisMetaV1ObjectMeta } from "@kubernetes-models/apimachinery/apis/meta/v1/ObjectMeta";
import { IIoK8sApiRbacV1RoleRef } from "./RoleRef";
import { IIoK8sApiRbacV1Subject } from "./Subject";
import { ModelData, TypeMeta, Model } from "@kubernetes-models/base";
/**
 * RoleBinding references a role, but does not contain it.  It can reference a Role in the same namespace or a ClusterRole in the global namespace. It adds who information via Subjects and namespace information by which namespace it exists in.  RoleBindings in a given namespace only have effect in that namespace.
 */
export interface IRoleBinding extends TypeMeta {
    "apiVersion": "rbac.authorization.k8s.io/v1";
    "kind": "RoleBinding";
    /**
     * Standard object's metadata.
     */
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ObjectMeta;
    /**
     * RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error. This field is immutable.
     */
    "roleRef": IIoK8sApiRbacV1RoleRef;
    /**
     * Subjects holds references to the objects the role applies to.
     */
    "subjects"?: Array<IIoK8sApiRbacV1Subject>;
}
/**
 * RoleBinding references a role, but does not contain it.  It can reference a Role in the same namespace or a ClusterRole in the global namespace. It adds who information via Subjects and namespace information by which namespace it exists in.  RoleBindings in a given namespace only have effect in that namespace.
 */
export declare class RoleBinding extends Model<IRoleBinding> implements IRoleBinding {
    "apiVersion": IRoleBinding["apiVersion"];
    "kind": IRoleBinding["kind"];
    "metadata"?: IIoK8sApimachineryPkgApisMetaV1ObjectMeta;
    "roleRef": IIoK8sApiRbacV1RoleRef;
    "subjects"?: Array<IIoK8sApiRbacV1Subject>;
    static apiVersion: IRoleBinding["apiVersion"];
    static kind: IRoleBinding["kind"];
    static is: import("@kubernetes-models/base").TypeMetaGuard<IRoleBinding>;
    constructor(data?: ModelData<IRoleBinding>);
}
export { IRoleBinding as IIoK8sApiRbacV1RoleBinding, RoleBinding as IoK8sApiRbacV1RoleBinding };
