import { IIoK8sApimachineryPkgApisMetaV1Time } from "@kubernetes-models/apimachinery/apis/meta/v1/Time";
import { ModelData, Model } from "@kubernetes-models/base";
/**
 * VolumeError captures an error encountered during a volume operation.
 */
export interface IVolumeError {
    /**
     * errorCode is a numeric gRPC code representing the error encountered during Attach or Detach operations.
     *
     * This is an optional, alpha field that requires the MutableCSINodeAllocatableCount feature gate being enabled to be set.
     */
    "errorCode"?: number;
    /**
     * message represents the error encountered during Attach or Detach operation. This string may be logged, so it should not contain sensitive information.
     */
    "message"?: string;
    /**
     * time represents the time the error was encountered.
     */
    "time"?: IIoK8sApimachineryPkgApisMetaV1Time;
}
/**
 * VolumeError captures an error encountered during a volume operation.
 */
export declare class VolumeError extends Model<IVolumeError> implements IVolumeError {
    "errorCode"?: number;
    "message"?: string;
    "time"?: IIoK8sApimachineryPkgApisMetaV1Time;
    constructor(data?: ModelData<IVolumeError>);
}
export { IVolumeError as IIoK8sApiStorageV1VolumeError, VolumeError as IoK8sApiStorageV1VolumeError };
