import { IIoK8sApiCoreV1LinuxContainerUser } from "./LinuxContainerUser";
import { ModelData, Model } from "@kubernetes-models/base";
/**
 * ContainerUser represents user identity information
 */
export interface IContainerUser {
    /**
     * Linux holds user identity information initially attached to the first process of the containers in Linux. Note that the actual running identity can be changed if the process has enough privilege to do so.
     */
    "linux"?: IIoK8sApiCoreV1LinuxContainerUser;
}
/**
 * ContainerUser represents user identity information
 */
export declare class ContainerUser extends Model<IContainerUser> implements IContainerUser {
    "linux"?: IIoK8sApiCoreV1LinuxContainerUser;
    constructor(data?: ModelData<IContainerUser>);
}
export { IContainerUser as IIoK8sApiCoreV1ContainerUser, ContainerUser as IoK8sApiCoreV1ContainerUser };
