import { IIoK8sApimachineryPkgApiResourceQuantity } from "@kubernetes-models/apimachinery/api/resource/Quantity";
import { ModelData, Model } from "@kubernetes-models/base";
/**
 * Represents an empty directory for a pod. Empty directory volumes support ownership management and SELinux relabeling.
 */
export interface IEmptyDirVolumeSource {
    /**
     * medium represents what type of storage medium should back this directory. The default is "" which means to use the node's default medium. Must be an empty string (default) or Memory. More info: https://kubernetes.io/docs/concepts/storage/volumes#emptydir
     */
    "medium"?: string;
    /**
     * sizeLimit is the total amount of local storage required for this EmptyDir volume. The size limit is also applicable for memory medium. The maximum usage on memory medium EmptyDir would be the minimum value between the SizeLimit specified here and the sum of memory limits of all containers in a pod. The default is nil which means that the limit is undefined. More info: https://kubernetes.io/docs/concepts/storage/volumes#emptydir
     */
    "sizeLimit"?: IIoK8sApimachineryPkgApiResourceQuantity;
}
/**
 * Represents an empty directory for a pod. Empty directory volumes support ownership management and SELinux relabeling.
 */
export declare class EmptyDirVolumeSource extends Model<IEmptyDirVolumeSource> implements IEmptyDirVolumeSource {
    "medium"?: string;
    "sizeLimit"?: IIoK8sApimachineryPkgApiResourceQuantity;
    constructor(data?: ModelData<IEmptyDirVolumeSource>);
}
export { IEmptyDirVolumeSource as IIoK8sApiCoreV1EmptyDirVolumeSource, EmptyDirVolumeSource as IoK8sApiCoreV1EmptyDirVolumeSource };
