import { ModelData, Model } from "@kubernetes-models/base";
/**
 * NodeFeatures describes the set of features implemented by the CRI implementation. The features contained in the NodeFeatures should depend only on the cri implementation independent of runtime handlers.
 */
export interface INodeFeatures {
    /**
     * SupplementalGroupsPolicy is set to true if the runtime supports SupplementalGroupsPolicy and ContainerUser.
     */
    "supplementalGroupsPolicy"?: boolean;
}
/**
 * NodeFeatures describes the set of features implemented by the CRI implementation. The features contained in the NodeFeatures should depend only on the cri implementation independent of runtime handlers.
 */
export declare class NodeFeatures extends Model<INodeFeatures> implements INodeFeatures {
    "supplementalGroupsPolicy"?: boolean;
    constructor(data?: ModelData<INodeFeatures>);
}
export { INodeFeatures as IIoK8sApiCoreV1NodeFeatures, NodeFeatures as IoK8sApiCoreV1NodeFeatures };
