import { ModelData, Model } from "@kubernetes-models/base";
/**
 * NodeRuntimeHandlerFeatures is a set of features implemented by the runtime handler.
 */
export interface INodeRuntimeHandlerFeatures {
    /**
     * RecursiveReadOnlyMounts is set to true if the runtime handler supports RecursiveReadOnlyMounts.
     */
    "recursiveReadOnlyMounts"?: boolean;
    /**
     * UserNamespaces is set to true if the runtime handler supports UserNamespaces, including for volumes.
     */
    "userNamespaces"?: boolean;
}
/**
 * NodeRuntimeHandlerFeatures is a set of features implemented by the runtime handler.
 */
export declare class NodeRuntimeHandlerFeatures extends Model<INodeRuntimeHandlerFeatures> implements INodeRuntimeHandlerFeatures {
    "recursiveReadOnlyMounts"?: boolean;
    "userNamespaces"?: boolean;
    constructor(data?: ModelData<INodeRuntimeHandlerFeatures>);
}
export { INodeRuntimeHandlerFeatures as IIoK8sApiCoreV1NodeRuntimeHandlerFeatures, NodeRuntimeHandlerFeatures as IoK8sApiCoreV1NodeRuntimeHandlerFeatures };
