import { ModelData, Model } from "@kubernetes-models/base";
/**
 * VolumeMountStatus shows status of volume mounts.
 */
export interface IVolumeMountStatus {
    /**
     * MountPath corresponds to the original VolumeMount.
     */
    "mountPath": string;
    /**
     * Name corresponds to the name of the original VolumeMount.
     */
    "name": string;
    /**
     * ReadOnly corresponds to the original VolumeMount.
     */
    "readOnly"?: boolean;
    /**
     * RecursiveReadOnly must be set to Disabled, Enabled, or unspecified (for non-readonly mounts). An IfPossible value in the original VolumeMount must be translated to Disabled or Enabled, depending on the mount result.
     */
    "recursiveReadOnly"?: string;
}
/**
 * VolumeMountStatus shows status of volume mounts.
 */
export declare class VolumeMountStatus extends Model<IVolumeMountStatus> implements IVolumeMountStatus {
    "mountPath": string;
    "name": string;
    "readOnly"?: boolean;
    "recursiveReadOnly"?: string;
    constructor(data?: ModelData<IVolumeMountStatus>);
}
export { IVolumeMountStatus as IIoK8sApiCoreV1VolumeMountStatus, VolumeMountStatus as IoK8sApiCoreV1VolumeMountStatus };
