import { IIoK8sApimachineryPkgApiResourceQuantity } from "@kubernetes-models/apimachinery/api/resource/Quantity";
import { ModelData, Model } from "@kubernetes-models/base";
/**
 * VolumeResourceRequirements describes the storage resource requirements for a volume.
 */
export interface IVolumeResourceRequirements {
    /**
     * Limits describes the maximum amount of compute resources allowed. More info: https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/
     */
    "limits"?: {
        [key: string]: IIoK8sApimachineryPkgApiResourceQuantity;
    };
    /**
     * Requests describes the minimum amount of compute resources required. If Requests is omitted for a container, it defaults to Limits if that is explicitly specified, otherwise to an implementation-defined value. Requests cannot exceed Limits. More info: https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/
     */
    "requests"?: {
        [key: string]: IIoK8sApimachineryPkgApiResourceQuantity;
    };
}
/**
 * VolumeResourceRequirements describes the storage resource requirements for a volume.
 */
export declare class VolumeResourceRequirements extends Model<IVolumeResourceRequirements> implements IVolumeResourceRequirements {
    "limits"?: {
        [key: string]: IIoK8sApimachineryPkgApiResourceQuantity;
    };
    "requests"?: {
        [key: string]: IIoK8sApimachineryPkgApiResourceQuantity;
    };
    constructor(data?: ModelData<IVolumeResourceRequirements>);
}
export { IVolumeResourceRequirements as IIoK8sApiCoreV1VolumeResourceRequirements, VolumeResourceRequirements as IoK8sApiCoreV1VolumeResourceRequirements };
